# Embedded YouTube

(part of package '[Servoy Extra Components](/reference/servoyextensions/packages/ui-component-packages/servoy-extra-components.md)')\
Extends designtime/SolutionModel: [JSWebComponent](/reference/servoycore/dev-api/solutionmodel/jswebcomponent.md)\
Extends runtime: [RuntimeWebComponent](/reference/servoycore/dev-api/forms/runtimeform/elements/runtimewebcomponent.md)

Servoy Extra Component for embedding YouTube videos.\
Provides options to configure video dimensions, playback behavior, and display settings.

This is a reference page; many components have detailed usage guides [here](https://docs.servoy.com/guides/develop/application-design/ui-components).

## Properties

### allowFullScreen

Determines if the video can be viewed in full-screen mode. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: true

***

### autoPlay

Indicates if the video should start playing automatically. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: false

***

### dataProviderID

The youtube url can be provided as dataprovider (using dataProviderID property) or as text (using embeddedVideoURL property). Type: [Dataprovider](/reference/servoy-developer/component_and_service_property_types.md#dataprovider)

***

### embeddedVideoURL

The youtube url can be provided as dataprovider (using dataProviderID property) or as text (using embeddedVideoURL property). Type: [String](/reference/servoycore/dev-api/js-lib/string.md)

***

### modestBranding

Enables a reduced YouTube branding experience. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: false

***

### showControls

Controls whether the YouTube player's controls are displayed. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: true

***

### showRelatedVideosAtEnd

Specifies whether related videos are shown after playback ends. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: false

***

### styleClass

Defines a CSS class for custom styling of the video component. Type: [Styleclass](/reference/servoy-developer/component_and_service_property_types.md#styleclass) Default Value: "youtubevideoembedder"

***

### tabSeq

Specifies the tab order sequence for the video component. Type: [Tabseq](/reference/servoy-developer/component_and_service_property_types.md#tabseq)

***

### videoHeight

Specifies the height of the embedded YouTube video. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md) Default Value: 240

***

### videoWidth

Specifies the width of the embedded YouTube video. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md) Default Value: 426

***

### visible

Determines whether the video component is visible. Type: [Visible](/reference/servoy-developer/component_and_service_property_types.md#visible)

***

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/ui-components/media/embedded-youtube.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
